Skip to main content

Issue invoice

Only currencies which are invoiceable for the caller's account can be used. Invoiceable currencies can be found using get account profile endpoint.

Required scopes:

  • partner.invoice.create

Request Body — REQUIRED

New invoice request

correlationId string

Possible values: length ≤ 40

Invoice correlation id. Must be a unique value. Can be used to correlate the invoice with an external entity

description string

Possible values: length ≤ 200

Invoice description

amount object — REQUIRED

Invoice amount. Only currencies which are invoiceable for the receiver's account can be used. Invoiceable currencies can be found using get account profile endpoint.

amount string — REQUIRED

Currency amount in decimal format

currency string — REQUIRED

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

Responses
201

Created

Schema — OPTIONAL
invoiceId uuid
amount object
amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

state string

Possible values: [UNPAID, PENDING, PAID, CANCELLED]

created date-time
correlationId string — OPTIONAL

Invoice correlation id

description string — OPTIONAL

Invoice description

issuerId uuid

Id of the invoice issuer

receiverId uuid

Id of the invoice receiver

payerId uuid — OPTIONAL

Id of the invoice payer. Present only when invoice was created for the dedicated payer

transactions object[] — OPTIONAL

Transactions associated with this invoice. Only included when includeTransactions=true is passed.

transactionId uuid

Unique identifier for the transaction

state string

Possible values: [PENDING, COMPLETED]

Current state of the transaction

amountReceived object

Amount received in this transaction

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

created date-time

Timestamp when the transaction was created

completed date-time — OPTIONAL

Timestamp when the transaction completed. Present only when the transaction is completed

401

Unauthorized

403

Forbidden